## com.acme
Class DateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.acme.DateTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class DateTag

extends BodyTagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateTag()`

Method Summary
`int` `doAfterBody()`
`int` `doEndTag()`
`void` `doInitBody()`
`int` `doStartTag()`
`Tag` `getParent()`
`void` `release()`
`void` `setBodyContent(BodyContent content)`
`void` `setPageContext(PageContext pageContext)`
`void` `setParent(Tag parent)`
`void` `setTz(String value)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`getBodyContent, getPreviousOut`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getValue, getValues, removeValue, setId, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTag

    public DateTag()

Method Detail

### setParent

    public void setParent(Tag parent)

  Specified by:
    `setParent` in interface `Tag`
  Overrides:
    `setParent` in class `TagSupport`

### getParent

    public Tag getParent()

  Specified by:
    `getParent` in interface `Tag`
  Overrides:
    `getParent` in class `TagSupport`

### setBodyContent

    public void setBodyContent(BodyContent content)

  Specified by:
    `setBodyContent` in interface `BodyTag`
  Overrides:
    `setBodyContent` in class `BodyTagSupport`

### setPageContext

    public void setPageContext(PageContext pageContext)

  Specified by:
    `setPageContext` in interface `Tag`
  Overrides:
    `setPageContext` in class `TagSupport`

### setTz

    public void setTz(String value)

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### doInitBody

    public void doInitBody()
                    throws JspException

  Specified by:
    `doInitBody` in interface `BodyTag`
  Overrides:
    `doInitBody` in class `BodyTagSupport`
  Throws:
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Throws:
    `JspException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.